[RTL][Settings][Bluetooth] "+1 more" statement is being improperly split apart and separated by the other device name when connected to multiple Bluetooth devices.

VERIFIED FIXED

Status

Mozilla Localizations
ar / Arabic
VERIFIED FIXED
3 years ago
3 years ago

People

(Reporter: Joshua Mitchell (Inactive), Unassigned)

Tracking

unspecified
ARM
Gonk (Firefox OS)

Firefox Tracking Flags

(b2g-v2.2 verified, b2g-master verified)

Details

(Whiteboard: [3.0-Daily-Testing] LocRun2.2)

Attachments

(2 attachments)

(Reporter)

Description

3 years ago
Created attachment 8570628 [details]
2015-02-20-17-21-28.png

Description:
When you connect to multiple bluetooth devices, under bluetooth on the main settings page it will say connected to one device by name and '+X more' for the rest of the devices. When you are in RTL the +X more statement becomes split apart and bisected by the one named device. This happens with any number of connections more than 1.


Repro Steps: In RTL
1) Update a Flame to 20150227010229
2) Connect to multiple Bluetooth devices
3) Navigate to the main settings page and scroll to Bluetooth

Actual:
+1 more statement split apart

Expected:
+1 more statement remains togeather

Environmental Variables:
Device: Flame Master
Build ID: 20150227010229
Gaia: 7512026a377271a0cade12d70846557f0bc7781c
Gecko: c7968255c1ea
Gonk: e7c90613521145db090dd24147afd5ceb5703190
Version: 39.0a1 (Master)
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:39.0) Gecko/39.0 Firefox/39.0

Repro frequency: 100%
See attached: screenshot
(Reporter)

Comment 1

3 years ago
This issue also occurs on 2.2

Device: Flame 2.2 (KK - Nightly - Full Flash - 319mem)
Build ID: 20150225002505
Gaia: ca64f2fe145909f31af266b1730874051ba76c78
Gecko: 16804008c29f
Gonk: e7c90613521145db090dd24147afd5ceb5703190
Version: 37.0 
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:37.0) Gecko/37.0 Firefox/37.0
QA Whiteboard: [QAnalyst-Triage?][rtl-impact]
Flags: needinfo?(pbylenga)
QA Whiteboard: [QAnalyst-Triage?][rtl-impact] → [QAnalyst-Triage+][rtl-impact]
Flags: needinfo?(pbylenga)
ni on Ahmed so he can fix this, since this is an l10n issue! thanks
Component: Gaia::Settings → ar / Arabic
Flags: needinfo?(nefzaoui)
Product: Firefox OS → Mozilla Localizations
Priority: -- → P2
l10 issue so not blokcing any rtl meta
No longer blocks: 1071891
Priority: P2 → --
Adding the LocRun2.2 tag in Whiteboard for l10n tracking purposes in a bugzilla dashboard
Whiteboard: [3.0-Daily-Testing] → [3.0-Daily-Testing] LocRun2.2
rami can you please take a look at this one? thanks
Flags: needinfo?(rami223)

Comment 6

3 years ago
I changed the text for shorter one
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Flags: needinfo?(rami223)
Resolution: --- → FIXED

Comment 7

3 years ago
Created attachment 8622185 [details]
verify_pass.png

This issue has been verified as "Pass" on latest build of Flame 2.2/3.0 and Nexus5 2.2/3.0 by STR in comment 0.
Result: +1 more statement remains togeather.
See attachment: verify_pass.png
Rate:0/3

Device: Flame 2.2 (pass)
Build ID               20150614002504
Gaia Revision          cfceba16e48ede3defee24be93637a0fa291c494
Gaia Date              2015-06-11 22:10:18
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/2cfd86c2ba1b
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150614.040237
Firmware Date          Sun Jun 14 04:02:49 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 3.0 (pass)
Build ID               20150614010203
Gaia Revision          1bf2da102560481748ff3f6202fbed5c4daa5832
Gaia Date              2015-06-13 00:22:05
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/c223b8844264
Gecko Version          41.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150614.044513
Firmware Date          Sun Jun 14 04:45:25 EDT 2015
Bootloader             L1TC000118D0

Device: Nexus 5 2.2 (pass)
Build ID               20150614002504
Gaia Revision          cfceba16e48ede3defee24be93637a0fa291c494
Gaia Date              2015-06-11 22:10:18
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/2cfd86c2ba1b
Gecko Version          37.0
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150614.042607
Firmware Date          Sun Jun 14 04:26:25 EDT 2015
Bootloader             HHZ12d

Device: Nexus 5 3.0 (pass)
Build ID               20150614010203
Gaia Revision          1bf2da102560481748ff3f6202fbed5c4daa5832
Gaia Date              2015-06-13 00:22:05
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/c223b8844264
Gecko Version          41.0a1
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150614.044149
Firmware Date          Sun Jun 14 04:42:08 EDT 2015
Bootloader             HHZ12f

Updated

3 years ago
Status: RESOLVED → VERIFIED
QA Whiteboard: [QAnalyst-Triage+][rtl-impact] → [QAnalyst-Triage+][rtl-impact][MGSEI-Triage+]
status-b2g-v2.2: affected → verified
status-b2g-master: affected → verified
Flags: needinfo?(nefzaoui)
You need to log in before you can comment on or make changes to this bug.